import { nameof } from 'ts-simple-nameof';
import { DependencyContainer } from "../DependencyContainer";
var LocalStorageService = (function () {
    function LocalStorageService() {
    }
    LocalStorageService.prototype.GetServiceName = function () {
        return nameof(LocalStorageService);
    };
    LocalStorageService.prototype.GetResourceName = function (inContextOf, objectId) {
        return "_exalus_".concat(inContextOf, "_").concat(objectId);
    };
    LocalStorageService.prototype.Remove = function (inContextOf, objectId) {
        localStorage.removeItem(this.GetResourceName(inContextOf, objectId));
    };
    LocalStorageService.prototype.DropStorage = function (inContextOf) {
        var prefix = "_exalus_".concat(inContextOf);
        for (var key in localStorage) {
            if (key === null || key === void 0 ? void 0 : key.startsWith(prefix))
                localStorage.removeItem(key);
        }
    };
    LocalStorageService.prototype.Save = function (inContextOf, objectId, data) {
        localStorage.setItem(this.GetResourceName(inContextOf, objectId), JSON.stringify(data));
    };
    LocalStorageService.prototype.Read = function (inContextOf, objectId) {
        var _a;
        try {
            var obj = localStorage.getItem(this.GetResourceName(inContextOf, objectId));
            if (obj == null)
                return null;
            return JSON.parse(obj);
        }
        catch (ex) {
            (_a = DependencyContainer.Log) === null || _a === void 0 ? void 0 : _a.Error("Exception has occurred while reading ".concat(this.GetResourceName(inContextOf, objectId)));
            return null;
        }
    };
    return LocalStorageService;
}());
export { LocalStorageService };
//# sourceMappingURL=LocalStorageService.js.map